vRealize Hyperic 5.8.5 Release Notes

Updated on: 28 January 2016

vRealize Hyperic 5.8.5 | 28 January 2016

Check for additions and updates to these release notes.

These release notes should be read in conjunction with the vRealize Hyperic 5.8.4 release notes.

What's New in vRealize Hyperic 5.8.5?

  • vRealize Hyperic 5.8.5 is an upgrade to both the vRealize Hyperic server, and agents.
  • New buttons are provided in the user interface to set or clear indicator flags for metrics in the Edit Metric Template page.
    Metrics that were enabled or disabled earlier retain their state unless you specifically change them.
  • The Java Runtime Environment (JRE) version has been upgraded to version 7u91 (1.7.0-91).
  • The PostgreSQL database has been upgraded to version 9.1.15.
  • SSLv3 has been removed from the vRealize Hyperic agent, to address security issues.
  • The cipher list in the vRealize Hyperic server and agent has been upgraded to provide enhanced security.
  • The lighttpd component has been updated to version 1.4.35
  • tc Server has been updated to version 3.0.2 and Tomcat to verion 8.
  • The user interface has been upgraded to use Apache Struts 2 framework.
    Users who have created custom pages or extensions to the user interface, must update their pages to the Struts 2 framework.
  • As part of the user interface upgrade, the URLs of all pages have changed.
    Users who have scripts that point to vRealize Hyperic pages must modify the URLs accordingly.

Recommended Browsers

VMware recommends that you use one of the following browsers:
  • Chrome
  • Firefox
  • Internet Explorer 11, or higher

Known Issues in vRealize Hyperic 5.8.5

The following issue is known to exist in this version of vRealize Hyperic.

  • Following an update of vRealize Hyperic, the LDAP password does not display any characters in the user interface. Nevertheless, the password is configured, saved in the database, and works as expected.

Issues Resolved in this Release

The following issues have been resolved in this release.

  • vRealize Hyperic upgraded between versions shows the incorrect version
    The management interface of the virtual appliance (VAMI) and the virtual applicance console no longer display the the incorrect (legacy) version when vRealize Hyperic is upgraded.
  • glibc version requires update to prevent GHOST vulnerability
    glibc has been updated to remove any exposure to the CVE-2105-0235 (GHOST) vulnerability.
  • Sybase JDBC password displayed in clear text
    The Sybase JDBC password is no longer displayed in clear text when plug-in debugging is enabled.
  • Heavy agent CPU utilization when is agent unable to communicate with the server
    Heavy agent CPU utilization no longer occurs when the agent is unable to communicate with the vRealize Hyperic server.
  • CPU is reported as 1 when the availbility is 0
    The CPU availability is no longer incorrectly reported as 1 (meaning 100%), when the availbility is actually 0.
  • HibernateTransactionManager timeout too low causing transactions to be aborted
    The timeout for HibernateTransactionManager is no longer so low that transactions are aborted.
  • Agent using Java 6 cannot connect to the vRealize Hyperic server
    Agents using Java 6 can now connect to the vRealize Hyperic server.
  • Synchronization between vRealize Hyperic and vSphere stops
    Synchronization between vRealize Hyperic and vSphere no longer stops with a VCManagerImpl exception in the server log file.
  • JVM MBean query causes update agent message
    A JVM MBean query no longer causes the Unable to deserialize agent data. You may need to update your agent. message.
  • vRealize Hyperic server startup takes too long
    The start up time for vRealize Hyperic server has been improved.
  • vRealize Hyperic discovers Microsoft Windows 2012r2 as unknown
    Microsoft Windows 2012 r2 is no longer discovered as unknown by vRealize Hyperic.